<template>
  <div class="comment">
      <div class="comment--avatar">
          <img src="https://via.placeholder.com/70X70" >
      </div>
      <div class="comment--details">
          <div class="comment--details--name">
              {{ comment.author.username }}
          </div>
          <div class="comment--details--body">
              {{ comment.body }}
          </div>
      </div>
  </div>
</template>

<script>
export default {
  name: 'Comment',
  props: [ 'comment' ]
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.comment {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: flex-start;
    text-align: left;
}

.comment--avatar {
    width: 70px;
    margin-right: 20px;
    flex: 0 0 auto;
    overflow: hidden;
    border-radius: 5px;
}

.comment--avatar img {
    display: block;
    width: 100%;
}

.comment--details {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: flex-start
}

.comment--details--name {
    font-size: 18px;
    line-height: 24px;
    font-weight: bolder;
    color: #293039;
    margin-bottom: 10px;
}

.comment--details--body {
    
}
</style>
